package com.ximai.mes.pro.domain.productionMake;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ximai.common.core.domain.BaseEntity;

/**
 * 打样申请工序检验项对象 pro_production_make_process_qcindex
 *
 * @author generator
 * @date 2024-01-27
 */
public class ProProductionMakeProcessQcindex extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    @TableId
    private Long productionMakeProcessQcindexId;

    /** 打样申请ID */
    private Long productionMakeId;

    /** 打样申请工序ID */
    private Long productionMakeProcessId;

    /** 产品物料ID */
    private Long qcindexId;

    public void setProductionMakeProcessQcindexId(Long productionMakeProcessQcindexId)
    {
        this.productionMakeProcessQcindexId = productionMakeProcessQcindexId;
    }

    public Long getProductionMakeProcessQcindexId()
    {
        return productionMakeProcessQcindexId;
    }
    public void setProductionMakeId(Long productionMakeId)
    {
        this.productionMakeId = productionMakeId;
    }

    public Long getProductionMakeId()
    {
        return productionMakeId;
    }
    public void setProductionMakeProcessId(Long productionMakeProcessId)
    {
        this.productionMakeProcessId = productionMakeProcessId;
    }

    public Long getProductionMakeProcessId()
    {
        return productionMakeProcessId;
    }
    public void setQcindexId(Long qcindexId)
    {
        this.qcindexId = qcindexId;
    }

    public Long getQcindexId()
    {
        return qcindexId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("productionMakeProcessQcindexId", getProductionMakeProcessQcindexId())
            .append("productionMakeId", getProductionMakeId())
            .append("productionMakeProcessId", getProductionMakeProcessId())
            .append("qcindexId", getQcindexId())
            .append("remark", getRemark())
            .toString();
    }
}
